TWiki> EGEE Web>SA3>EGEEIntegration>UiCleanup (revision 27)EditAttachPDF
This page is intended to help cleaning up the glite-UI metapackage.

  • Please have a look at the list of Packages to be checked which is the list of packages that are presently installed.
  • Move any package that you are sure it is required to
    • to the list of Required glite-components (to be build via ETICS) if it is a glite package to be build via ETICS or move it
    • to Required external dependencies (not necessarly build via ETICS) if it is an external dependency that is not necessarly to be build via ETICS (we can put them into ETICS afterwards as well).
  • Move any package that you are sure it is not required anymore to the list of Not required packages (are presently there)

  • Please also have a look at the lists of sorted out dependencies to see if you agree with the specification

  • Please mark any packages that need to be added

  • Mark that you have checked the list at the bottom.

  • Please leave any useful comment at the bottom.

Packages to be checked (these are presently installed and are not yet sorted out) - packages in this list will not go to the new UI

  • glite-dgas-pa-clients
  • glite-wms-brokerinfo-access
  • ares-devel
  • boost-devel
  • boost-g3
  • bouncycastle-jdk14
  • CGSI_gSOAP_2.6
  • CGSI_gSOAP_2.6-dev
  • classads-g3
  • classads-jar
  • cog-jar
  • commons-cli
  • dcache-client
  • edg-allschema-config
  • edg-gsoap-base_gcc3_2_2
  • gacl
  • globus-initialization
  • gsiopenssh
  • j2sdk
  • jas-jar
  • jclassads
  • jglobus
  • jug
  • jxUtil-jar
  • mm.mysql
  • mpich
  • mpiexec
  • netlogger-jar
  • ORBit
  • perl-Authen-SASL
  • perl-Convert-ASN1
  • perl-Crypt-SSLeay
  • perl-Digest-HMAC
  • perl-Digest-SHA1
  • perl-Expect.pm
  • perl-IO-Socket-SSL
  • perl-MIME-Lite
  • perl-Net-Jabber
  • perl-Net-LDAP
  • perl-Net-SSLeay
  • perl-Net-XMPP
  • perl-SOAP-Lite
  • perl-TermReadKey
  • perl-XML-SAX-Base
  • perl-XML-Stream
  • swig-runtime
  • uberftp-client
  • vdt_globus_info_essentials
  • vdt_globus_rls_client
  • vdt_globus_rm_client
  • vdt_globus_rm_essentials
  • xerces-c
  • xerces-j1
  • xml-commons
  • xml-commons-apis
  • jakarta-axis
  • jakarta-commons-logging

Not required packages (are presently there) - packages in this list will not go to the new UI

  • glite-config
  • glite-file-transfer-service-client-config
  • glite-io-client-config
  • glite-lfc-client-config
  • glite-rgma-client-config
  • glite-rgma-common-config
  • glite-security-utils-config
  • glite-service-discovery-config
  • glite-ui-config
  • CASTOR-client
  • myproxy-config
  • lcg-vomscert-na48 (obsoleted)
  • edg-gpt-profile (Sets GPT_LOCATION - replaced by YAIM)
  • edg-mkgridmap-conf (Contains example configuration - replaced by YAIM)
  • edg-profile (contains env script - replaced by YAIM)
  • lcg-info-api-ldap (replaced by lcg-info-sites)
  • lcg-ManageSoftware (replaced by lcg-ManageSoftwareVOTags)
  • lcg-profile (replaced by YAIM)
  • lcg-sft (replaced by lcg-same-clients)
  • edg-java-data-util
  • edg-java-security
  • edg-java-security-test
  • edg-local-replica-catalog-client
  • edg-local-replica-catalog-interface
  • edg-local-replica-catalog-test
  • edg-replica-location-client-c++_gcc3_2_2
  • edg-replica-manager
  • edg-replica-manager-client-c++_gcc3_2_2
  • edg-replica-manager-config
  • edg-replica-manager-gridftp-client_gcc3_2_2
  • edg-replica-manager-interface
  • edg-replica-manager-test
  • edg-replica-metadata-catalog-client
  • edg-replica-metadata-catalog-client-c++_gcc3_2_2
  • edg-replica-metadata-catalog-interface
  • edg-replica-metadata-catalog-test
  • edg-replica-optimization-client
  • edg-replica-optimization-client-c++_gcc3_2_2
  • edg-replica-optimization-interface
  • edg-replica-optimization-test
  • glite-apel-core
  • glite-apel-lsf
  • glite-apel-pbs
  • glite-apel-publisher
  • lcg-version
  • glite-wms-manager-ns-client
  • glite-wms-manager-ns-commands
  • glite-wms-manager-ns-common
  • glite-wms-purger
  • glite-wms-jdl
  • glite-data-globus-rls-api-perl
  • glite-data-transfer-url-copy
  • glite-data-config-service

Removed dgas on request of WMS.

  • glite-dgas-common
  • glite-dgas-hlr-clients

Required packages

Green led In ETICS integrated

Red led Not (fully) in ETICS integrated

UI core parts (one module) Red led

  • lcg-infosites Green led
  • lcg-vomscerts Green led
  • edg-mkgridmap Green led
  • glite-version Green led (set to HEAD)
  • lcg-info Green led
  • glite-yaim-clients Green led
  • edg-gridftp-client Green led
  • lcg-mon-stdout Green led
  • lcg-python-rgmaqueryiter Green led
  • lcg-mon-tools Green led
  • lcg-ManageVOTag Green led

  • lcg-same-clients Red led
  • edg-utils-user Red led

R-GMA clients (one module) Green led

  • glite-rgma-api-c
  • glite-rgma-api-cpp
  • glite-rgma-api-java
  • glite-rgma-api-python
  • glite-rgma-base
  • glite-rgma-command-line
  • glite-rgma-log4cpp
  • glite-rgma-log4j
  • glite-rgma-stubs-servlet-java
  • glite-security-trustmanager
  • glite-security-util-java

Service discovery clients (one module) Green led

  • glite-service-discovery-api-c
  • glite-service-discovery-api-java
  • glite-service-discovery-bdii-c
  • glite-service-discovery-cli
  • glite-service-discovery-file-c
  • glite-service-discovery-rgma-c
  • glite-service-discovery-rgma-java

Data Management (several modules) Green led

GFAL clients (one module) Green led

  • lcg_util (served by org.glite.data.dm-util - will be renamed to glite-data-dm-util)
  • GFAL-client (served by org.glite.data.gfal - will be renamed to glite-data-gfal)

DPM and LFC clients (one module) Green led

  • DPM-client (virtual component - via LCG-DM)
  • LFC-client (virtual component - via LCG-DM)
  • lcg-dm-common (virtual component - via LCG-DM)
  • lfc-interfaces (virtual component - via LCG-DM)

FTS clients (one module) Green led

  • glite-data-transfer-api-c
  • glite-data-transfer-api-java
  • glite-data-transfer-api-perl
  • glite-data-transfer-cli
  • glite-data-transfer-interface
  • glite-data-util-c

HYDRA clients (one module) Green led

  • glite-data-hydra-cli
  • glite-data-util-c

IO clients => to be phased out (one module) Green led

  • glite-data-io-base
  • glite-data-io-client
  • glite-data-io-gss-auth
  • glite-data-io-quanta
  • glite-data-util-c

Fireman clients => to be phased out (one module) Green led

  • glite-data-api-perl
  • glite-data-catalog-api-c
  • glite-data-catalog-api-java
  • glite-data-catalog-api-perl
  • glite-data-catalog-cli
  • glite-data-catalog-interface
  • glite-data-util-c

SRM clients => to be phased out (one module) Green led

  • glite-data-srm-api-c
  • glite-data-srm-api-perl
  • glite-data-srm-cli

WMS clients (one module) Green led

gLite WMS client side commons

  • glite-wms-utils-exception
  • glite-wms-utils-jobid
  • glite-wms-utils-tls
  • glite-wms-common
  • glite-lb-client
  • glite-lb-client-interface
  • glite-lb-common
  • glite-security-voms-api-cpp
  • glite-security-voms-clients
  • glite-wms-checkpointing
  • glite-wms-partitioner
  • glite-wms-thirdparty-bypass

gLite WMS Python UI

  • glite-wms-ui-wrap-python
  • glite-wms-ui-configuration
  • glite-wms-ui-cli-python

gLite WMS UI C++ API

  • glite-essentials-cpp
  • glite-wms-ui-api-cpp

gLite WMS UI java API

  • glite-essentials-java
  • glite-wms-ui-wrap-java
  • glite-wms-ui-api-java

gLite WMProxy client tools

  • gridsite-shared
  • gridsite-commands
  • glite-wms-wmproxy-api-cpp
  • glite-security-delegation-java
  • glite-wms-wmproxy-api-java
  • glite-wms-client
  • glite-wms-configuration
  • glite-wms-wmproxy-api-python
  • glite-jdl-api-cpp
  • glite-wms-utils-classad

CE clients (one module) Green led

CREAM

  • glite-security-gsoap-plugin
  • glite-security-voms-api-c
  • glite-ce-cream-cli
  • glite-ce-cream-client-api-c

SLCS clients (one module) Green led

  • slcs-common
  • slcs-ui

LCG-RB clients (one module) Green led Red led

  • For the moment in ETICS module org.edg.wl. To be checked if they build. Then the dependency on the individual virtual modules (rather than org.glite.edg.wl) must be set.

  • edg-wl-bypass_gcc3_2_2 Red led
  • edg-wl-chkpt-api_gcc3_2_2 Red led
  • edg-wl-common-api_gcc3_2_2 Red led
  • edg-wl-common-api-java_gcc3_2_2 Red led
  • edg-wl-common-api-java-interface_gcc3_2_2 Red led
  • edg-wl-config_gcc3_2_2 Red led
  • edg-wl-logging-api-c_gcc3_2_2 Red led
  • edg-wl-logging-api-cpp_gcc3_2_2 Red led
  • edg-wl-logging-api-sh_gcc3_2_2 Red led
  • edg-wl-services-common_gcc3_2_2 Red led
  • edg-wl-ui-api-cpp_gcc3_2_2 Red led
  • edg-wl-ui-api-java_gcc3_2_2 Red led
  • edg-wl-ui-api-java-interface_gcc3_2_2 Red led
  • edg-wl-ui-cli_gcc3_2_2 Red led
  • edg-wl-ui-config_gcc3_2_2 Red led
  • edg-wl-ui-gui_gcc3_2_2 Red led

second level dependencies (pulled in via dependencies)

internal components

  • glite-security-voms-api
  • glite-wms-broker
  • glite-wms-rls

external components

  • edg-brokerinfo_gcc3_2_2
  • edg-site-certification
  • j2re
  • log4cxx ( required by rgma api-cpp)
  • xerces-c 2.5 ( required by rgma api-cpp)
  • tix
  • tkinter
  • itcl
  • gpt
  • vdt_globus_essentials
  • myproxy
  • boost
  • fetch-crl

  • SOAPpy (0.11.4)
  • axis (1.2.1)
  • commons-discovery (2.9)
  • commons-logging (1.0.4)
  • wsdl4j (1.5.1)
  • c-ares

Checked by

  • Integration (Joachim)
  • Release Management (Oliver)
  • WMS (Fabrizio)
  • CREAM (Massimo Sgaravatto)

To be checked by:

Configuration, LB, WMS, R-GMA, CE, DM, Security, ....

Comments:

  • 20/11/2006 (Fabrizio):
    • List checked for WMS UI command line interface and APIs (org.glite.wms-ui subsystem)
    • List checked for WMProxy client command line and APIs (org.glite.wms.client, org.glite.wmproxy-api-* components)
    • Not sure about glite-wms-broker, glite-wms-brokerinfo-access, glite-wms-rls:
      • they are needed only if brokerinfo utility is needed on the UI (I thought it was only needed on the WN)
      • rpms kept in the "to be checked" list for the moment
    • The "Packages to be checked" list seems to be repeated twice in the wiki (or am I missing something?)
  • 22/11/2006 (Joachim)
    • Corrected dupliation of list.
  • 22/11/2006 (Fabrizio):
    • Added axis + some related packages to the external components list (needed by WMS/WMProxy Java API)
    • Added glite-jdl-api-cpp: replaces glite-wms-jdl in gLite 3.1
    • (*) gridsite and htcp have to be replaced by gridsite-shared and gridsite-commands if gridsite version is >= 1.1.18
  • 23/11/2006 (Massimo):
    • Under CREAM I have listed only the RPMs not listed as required by other components
  • 23/11/2006 (Fabrizio):
    • Added glite-wms-utils-classad (new package resulting from code tree restructuring in gLite 3.1)
  • 23/11/2006 (Akos Frohner)
  • 25/11/2006 (Maarten)
    • Since we still support the LCG-RB we cannot remove the edg-wl-* rpms!
      • This in turn means that ares-devel and many more are still needed.
      • Get the full list with rpm -q --whatrequires for each of the rpms.
    • dcache-client is not explicitly required by any rpm, but if it is not present, e.g. GFAL cannot use the dcap and gsidcap protocols to access dCache SEs.
    • CGSI_gSOAP_2.6 is required by various gLite packages.
    • glite-security-voms-api is needed by LFC and DPM clients, and more.
    • globus-initialization is needed to configure the bits of Globus used on the UI.
    • gsiopenssh is needed to login onto a VOBOX.
    • uberftp-client is a supported GridFTP client used by various VOs.
    • vdt_globus_info_essentials is needed by glite-service-discovery-bdii-c.
    • vdt_globus_rm_client and vdt_globus_rm_essentials provide standard tools like globus-job-run.
    • vdt_globus_rls_client may still be needed by Atlas.
    • Joachim, please update the lists accordingly.
  • 4/12/2006 (Stephen)
    • On Fabrizio's comment about brokerinfo: it is useful to have it on a UI to allow scripts to be tested locally.

-- JoachimFlammer - 02 Nov 200

Edit | Attach | Watch | Print version | History: r30 < r29 < r28 < r27 < r26 | Backlinks | Raw View | Raw edit | More topic actions...
Topic revision: r27 - 2007-02-13 - JoachimFlammer
 
    • Cern Search Icon Cern Search
    • TWiki Search Icon TWiki Search
    • Google Search Icon Google Search

    EGEE All webs login

This site is powered by the TWiki collaboration platform Powered by Perl This site is powered by the TWiki collaboration platformCopyright & by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Ideas, requests, problems regarding TWiki? Ask a support question or Send feedback